import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const scColumnCss = ":host{display:block}::slotted(:not(.wp-block-spacer):not(:last-child):not(.is-empty)){margin-bottom:var(--sc-form-row-spacing, 0.75em);display:block}";

const ScColumn = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    return (h(Host, null, h("slot", null)));
  }
  static get style() { return scColumnCss; }
}, [1, "sc-column"]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["sc-column"];
  components.forEach(tagName => { switch (tagName) {
    case "sc-column":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, ScColumn);
      }
      break;
  } });
}
defineCustomElement();

export { ScColumn as S, defineCustomElement as d };
